<?
include 'mysql.php';
include_once("inclydings/sesi.php");
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/antixak.php");
$_title = 'Lineage2';
include 'inclydings/zag.php';
include 'inclydings/ini.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
if (isset($user)) {
echo"Добро пожаловать на большую Ярмарку!<br>Сдесь вы можете продавать свои вещи за <img src='pik4erspic/mini/gold1.png' alt='pic'/><br>Вот ваши вещи:<br><br>";
if(getenv("HTTP_X_FORWARDED_FOR")){ $ip = getenv("HTTP_X_FORWARDED_FOR"); }else{
if(getenv("REMOTE_ADDR")) $ip = getenv("REMOTE_ADDR");}
$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$brow=strtok($brow,'/');

$ipone=explode(".",$ip);

$iptwo="$ipone[0].$ipone[1].$ipone[2]";

$file=file("L2dbnam/esql2db/ban.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data = explode("||",$file[$i]);

if($data[2]==$log){
$time=time()-86400;
if($data[1]>$time){echo"Вы забанены на 24 часа!"; echo "</p></card></wml>"; exit; }
include_once("inclydings/down.php");
}}

if(@file("L2dbnam/esql2db/item/$log.dat")){

$file = @file("L2dbnam/esql2db/item/$log.dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

$file = @file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$i]);



if($data[2]=="vesh"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
echo" <a href=\"selrukgold.php?$sd&name=$data[4]&id=$i\">$data[4]</a> - ($data[3] штук)<br/>";}
elseif($data[2]=="vesh2"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
echo"<a href=\"selrukgold.php?$sd&name=$data[4]&id=$i\">$data[4]</a> - ($data[3] штук) [+$data[0]]<br/>";}
else{
echo"<a href=\"sellrukshmotgolds.php?$sd&name=$data[4]&id=$i\">$data[4]</a><br/>";}

}}else{echo"У вас нет вещей.";}



if ($start != 0) {echo '<br/><a href="sellrukgolds.php?start='.($start - 10).'&'.$sd.'">Назад</a> ';}

if ($total > $start + 10) {echo ' <br/><a href="sellrukgolds.php?start='.($start + 10).'&'.$sd.'">Далее</a>';}



}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>

